#!/bin/sh

export PATH=$PATH:/sbin

#Load wifi drivers
modprobe wlcore_sdio.ko
modprobe wlcore.ko
modprobe wl18xx.ko

# Load BT drivers
modprobe hci_uart
modprobe bluetooth
modprobe rfcomm
modprobe hidp
modprobe bnep

# For WiFi
# Set IoT card GPIO2(IOT GPIO3 = FX30-WP77 GPIO33) to high
if [ ! -d “/sys/class/gpio33” ]; then
echo 33 > /sys/class/gpio/export
fi
echo out > /sys/class/gpio/gpio33/direction
echo 1 > /sys/class/gpio/gpio33/value
sleep 1


# For BT
# Set IoT card GPIO3(IOT GPIO3 = FX30-WP77 GPIO13) to high
if [ ! -d “/sys/class/gpio/gpio13” ]; then
echo 13 > /sys/class/gpio/export
fi
echo out > /sys/class/gpio/gpio13/direction
echo 1 > /sys/class/gpio/gpio13/value
sleep 1

# Take the IoT card out of reset
# Set IoT card GPIO4(IOT GPIO4 = FX30-WP77 GPIO8) to high
if [ ! -d “/sys/class/gpio/gpio8” ]; then
echo 8 > /sys/class/gpio/export
fi
echo out > /sys/class/gpio/gpio8/direction
echo 1 > /sys/class/gpio/gpio8/value
sleep 1

echo "Mirage Wi-Fi BT IoT Card init complete"